Subject: bug#78730: 31.0.50; Some eglot test failures

From: João Távora <[email-masked]>
Date: Mon, 09 Jun 2025 10:29:13 +0100

Michael Albinus <[email-masked]> writes:

> Hi,
>
> The regression tests for eglot on emba.gnu.org have been adapted
> recently. They run now in a Debian Trixie environment. New language
> servers being installed are rust-analyzer, typescript-language-server, and
> vscode-json-languageserver. See <https://emba.gnu.org/emacs/emacs/-/jobs/104841>.

We'll that's good news!

> As a consequence, previously skipped tests have been applied from
> eglot-tests.el. Some of them fail, see
> <https://emba.gnu.org/emacs/emacs/-/jobs/104844>. The failed tests are
>
>    FAILED  eglot-test-javascript-basic  "Timed out waiting for:\n((string= method \"textDocument/publishDiagnostics\"))\n"
>    FAILED  eglot-test-project-wide-diagnostics-typescript  "Timed out waiting for:\n((string= method \"textDocument/publishDiagnostics\"))\n"
>    FAILED  eglot-test-rust-completion-exit-function  ((should (equal (if (bound-and-true-p yas-minor-mode) "fn test() -> i32 { let v: usize = 1; v.count_ones().1234567890;" "fn test() -> i32 { let v: usize = 1; v.count_ones.1234567890;") (buffer-string))) :form (equal "fn test() -> i32 { let v: usize = 1; v.count_ones.1234567890;" #("fn test() -> i32 { let v: usize = 1; v.count_on1234.1234567890;" 0 63 (fontified nil))) :value nil :explanation (arrays-of-different-length 61 63 "fn test() -> i32 { let v: usize = 1; v.count_ones.1234567890;" #("fn test() -> i32 { let v: usize = 1; v.count_on1234.1234567890;" 0 63 (fontified nil)) first-mismatch-at 47))
>

I understand.  Well the tests pass locally here, a 2018 Thinkpad 480,
fresh master.  I'm on Arch linux so I'm running close to the bleeding
edge of these language servers, package-system installed.

Ran 55 tests, 49 results as expected, 0 unexpected, 6 skipped
(2025-06-09 10:19:40+0100, 34.989411 sec)

6 skipped results:
  SKIPPED  eglot-test-eclipse-connect
  SKIPPED  eglot-test-json-basic
  SKIPPED  eglot-test-path-to-uri-windows
  SKIPPED  eglot-test-snippet-completions
  SKIPPED  eglot-test-snippet-completions-with-company
  SKIPPED  eglot-test-zig-insert-replace-completion

But it's not a huge suprise it happens on virtual machines or containers
with less-than-sane schedulers and system clocks.  Is that the case with
EMBA or is this running on bare metal?  Is there an HEYIMRUNNINGONEMBA
variable?  If there is, I think we could skip those tests for when
truish.

João